### Method

# Soup MessageHeaders get_list

#### Declaration [src]

    const char*
    soup_message_headers_get_list (
      SoupMessageHeaders* hdrs,
      const char* name
    )

#### Description [src]

Gets the value of header `name` in `hdrs`.

Use this for headers whose values are comma-delimited lists, and which are therefore allowed to appear multiple times in the headers. For non-list-valued headers, use `soup_message_headers_get_one()`.

If `name` appears multiple times in `hdrs`, `soup_message_headers_get_list()` will concatenate all of the values together, separated by commas. This is sometimes awkward to parse (eg, WWW-Authenticate, Set-Cookie), but you have to be able to deal with it anyway, because the HTTP spec explicitly states that this transformation is allowed, and so an upstream proxy could do the same thing.

#### Parameters

`name`

  Type: `const char*`

  Header name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const char*`

The header’s value or `NULL` if not found.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.